#ifndef XAUDIOFORMATINFO_H
#define XAUDIOFORMATINFO_H

#include "xasset.h"
#include "xaudioxmaformat.h"

#include <QVector>

class XAudioFormatInfo : public XAsset
{
public:
    explicit XAudioFormatInfo();
    ~XAudioFormatInfo();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<XAudioXmaFormat> mStream;
};

#endif // XAUDIOFORMATINFO_H
